I am using suse 10.1 (open source) . My problem is I couldn't configure the installation to get g77 worked also. I tried to read this forum as much as I can and tried to find a hint for that but so far nothing. do not know how to set environments or whatever necessary to get g77 worked. say if the g77 version doesn't match up with the newest version of g77, then I can download the previous version of that.so please assume that I have the same versions of both. Thank you for the help.